%define _name gDesklets
%define menu_group Applications/%_name

Name: gdesklets
Version: 0.24
Release: alt0.1

Summary: %_name is a desktop applet system for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.gnomedesktop.org

Source: http://www.pycage.de/download/%name/%_name-%version.tar.bz2

Requires: gnome-python2-gconf
Requires: gnome-python2-canvas
Requires: gnome-python2-bonobo
Requires: pyorbit

BuildPreReq: gnome-common

# Automatically added by buildreq on Mon Nov 10 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel eric glib2-devel glibc-devel-static gnome-python2 gnome-vfs2-devel libGConf2-devel libORBit2 libatk-devel libbonobo2-devel libgdbm-devel libgtk+2-devel libgtop2-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig pygtk2-devel python-devel zlib-devel

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

%package devel
Summary: Development files for %_name
Group: Development/C
Requires: %name = %version-%release

%description devel 
This package contains files needed to develop desklets and sensors for %_name.

%define gdesklets_dir %_datadir/%name
%define gdesklets_displays_dir %gdesklets_dir/Displays
%define gdesklets_themes_dir %gdesklets_dir/Themes

%prep
%setup -q -n %_name-%version
# install *.mo files in proper location
%__subst 's,\(installdir = \)${coredir},\1$(datadir),' locale/Makefile*
# fix path to locale directory
%__subst 's@\(Translator(NAME.lower(), \).*$@\1"/usr/share/locale")@' main/__init__.py

%build
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__mkdir %buildroot{%gdesklets_displays_dir,%gdesklets_themes_dir}

# menu
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ > %buildroot%_menudir/%_name
?package(%name): needs="x11" title="%_name" \
longtitle="A desktop applet system for GNOME" \
section="Applications/" icon="%name.png"
__MENU__

gnomedesktop2mdkmenu.pl %name "%menu_group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name "gnome"

%find_lang --with-gnome %name

%define schemas gdesklets-display-thumbnail

%post
%update_menus
%gconf2_install %schemas

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/application-registry/*
%gdesklets_dir
%_datadir/mime-info/*
%_iconsdir/*
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc README AUTHORS NEWS ChangeLog

%files devel
%_libdir/pkgconfig/*

%changelog
* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.24-alt0.1
- First build for Sisyphus.
